Bug 728702 - internal error could not get interface XML description (netcf: NETLINK socket operation failed
Summary: internal error could not get interface XML description (netcf: NETLINK socket...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netcf
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 15:04 UTC by Mohammed Arafa
Modified: 2013-04-30 23:42 UTC (History)
10 users (show)

Fixed In Version: netcf-0.1.9-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-14 22:38:02 UTC


Attachments (Terms of Use)

Description Mohammed Arafa 2011-08-06 15:04:41 UTC
Description of problem:
i do not understand this message nor does google. i can confirm that ltsp is installed on my system alongside kvm and tools

Aug  6 08:03:23 laptop libvirtd: 08:03:23.322: 1394: error : interfaceGetXMLDesc:355 : internal error could not get interface XML description (netcf: NETLINK socket operation failed - couldn't find ifindex for interface `ltspbr0`)

it is also filling up my logs at a rate of 1 a second.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Laine Stump 2011-08-08 06:07:11 UTC
This is a netcf bug; the same as Bug 698108 (although that one was filed against F14 rather than F15, so I'll leave this bug open for tracking purposes). Basically the interface ltspbr0 isn't in the kernel's interface table, so netlink doesn't find it. This is only an issue when getting the "live" XML for an interface, which virt-manager happens to do once a second for every interface.

This bug is fixed upstream in netcf-0.1.9, so it just requires updating the netcf package to 0.1.9, which I will try to get to this week (for F14, F15, F16, and rawhide).

Comment 2 Fedora Update System 2011-08-10 15:02:18 UTC
netcf-0.1.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/netcf-0.1.9-1.fc15

Comment 3 Fedora Update System 2011-08-11 23:29:35 UTC
Package netcf-0.1.9-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing netcf-0.1.9-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/netcf-0.1.9-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-14 22:37:56 UTC
netcf-0.1.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.